%option noyywrap
%option nounput

%{
#define YYSTYPE double

#include <string.h>
#include "calc.tab.h"

extern void yyerror(char*);
%}

NUM     [[:digit:]]+|[[:digit:]]*"."[[:digit:]]+|[[:digit:]]+"."[[:digit:]]*

%%

"exit"|"quit"   { return QUIT; }

[ \t]	{/* nothing */}

{NUM}	{ yylval = atof(yytext); return NUMBER;	}

\n|.	{ return *yytext; }

%%
